MOUNT.S3QL(1)

NAME
mount.s3ql - Mount an S3QL file system

SYNOPSIS

mount.s3ql [options] <storage url> <mount point>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The mount.s3ql command mounts the S3QL file system stored in storage url in the directory mount point. The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The mount.s3ql command accepts the following options.

--log <target>
    Write logging info into this file. File will be rotated when it reaches 1 MiB, and at most 5 old log files will be kept. Specify none to disable logging. Default: ~/.s3ql/mount.log

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql) (default: /home/nikratio/.s3ql)

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2) (default: /home/nikratio/.s3ql/authinfo2)

--debug <module>
    activate debugging output from <module>. Use all to get debug messages from all modules. This option can be specified multiple times. (default: None)

--quiet
    be really quiet (default: False)

--ssl
    Always use SSL connections when connecting to remote servers. For backends that allow only encrypted connections, S3QL uses SSL automatically, even if this option is not set. (default: False)

--version
    just print program version and exit

--cachesize <size>
    Cache size in KiB (default: 102400 (100 MiB)). Should be at least 10 times the maximum object size of the filesystem, otherwise an object may be retrieved and written several times during a single write() or read() operation. (default: 102400)

--max-cache-entries <num>
    Maximum number of entries in cache (default: 768). Each cache entry requires one file descriptor, so if you increase this number you have to make sure that your process file descriptor limit (as set with ulimit -n) is high enough (at least the number of cache entries + 100).

--allow-other
    Normally, only the user who called mount.s3ql can access the mount point. This user then also has full access to it, independent of individual file permissions. If the --allow-other option is specified, other users can access the mount point as well and individual file permissions are taken into account for all users. (default: False)

--allow-root
    Like --allow-other, but restrict access to the mounting user and the root user. (default: False)

--fg
    Do not daemonize, stay in foreground (default: False)

--single
    Run in single threaded mode. If you don't understand this, then you don't need it. (default: False)

--upstart
    Stay in foreground and raise SIGSTOP once mountpoint is up. (default: False)

--profile
    Create profiling information. If you don't understand this, then you don't need it. (default: False)

--compress <name>
    Compression algorithm to use when storing new data. Allowed values: lzma, bzip2, zlib, none. (default: lzma)

--metadata-upload-interval <seconds>
    Interval in seconds between complete metadata uploads. Set to 0 to disable. Default: 24h. (default: 86400)

--threads <no>
    Number of parallel upload threads to use (default: auto). (default: None)

--nfs
    Enable some optimizations for exporting the file system over NFS. (default: False)

EXIT STATUS

mount.s3ql returns exit code 0 if the operation succeeded and 1 if some error occurred.

SEE ALSO

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
2008-2011, Nikolaus Rath